#ifndef HTextEdit_h
#define HTextEdit_h

#include <QtGui/QTextEdit>

// QTextEdit with this extension:
//    Sets the preferred height to the specified number of lines or,
//       if lines == -1, the default height of the QTextEdit.
//    Adds appendCompact member which appends paragraphs, but without
//       the extra top & bottom margins added for html paragraphs.

class HTextEdit : public QTextEdit {
public:
   explicit HTextEdit(QWidget*  parent);
   explicit HTextEdit(int       columns,
                      int       lines,
                      QWidget*  parent);
public:
   void appendCompact(const QString&  text);
protected:
   QSize sizeHint() const;
protected:
   int  columns;
   int  lines;
};

#endif
