#ifndef PackageTableSortFilterProxyModel_h
#define PackageTableSortFilterProxyModel_h

#include "YumIO.h"
#include "HSortFilterProxyModel.h"
#include "Package.h"
#include "PackageTable.h"

// QSortFilterProxyModel modified with lessThan function made to understand
// PackageTable columns' values.

namespace PackageTable {

   class SortFilterProxyModel : public HSortFilterProxyModel {
   public:
      explicit SortFilterProxyModel(StateFilter  stateFilter,
                                    bool         groupsFilter,
                                    YumIO*       yumIO,
                                    QObject*     parent       = NULL);
   public:
      void setMode          (Mode                mode);
      void setFilter        (bool                filter);
      bool getFilter        ();
      void setFilterRegExp  (const QRegExp&      regExp);
      void setStateFilter   (StateFilter         stateFilter);
      void setGroupsFilter  (bool                groupsFilter);
   protected:
      bool filterAcceptsRow (int                 source_row, 
                             const QModelIndex&  source_parent) const;
      bool acceptRow        (Package::Entry*     pkg,
                             int                 source_row,
                             const QModelIndex&  source_parent) const;
      bool lessThan         (const QModelIndex&  left, 
                             const QModelIndex&  right)         const;
   protected:
      static Package::Size  sizeValue (QString  str);
   protected:
      Mode                                 mode;
      bool                                 filter;
      StateFilter                          stateFilter;
      bool                                 groupsFilter;
      YumIO*                               yumIO;
      mutable QHash<Package::Entry*,bool>  in;
   };

};

#endif
